backtrace.h File Reference
`#include <core/posix/visibility.h>`
`#include <functional>`
`#include <memory>`
`#include <string>`
Include dependency graph for backtrace.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::posix::backtrace::Frame
| The Frame class models an individual frame of a backtrace. More...
class | core::posix::backtrace::Frame::Symbol
| The Symbol class models the symbolic representation of a frame pointer. More...

## Namespaces

namespace | core
namespace | core::posix
namespace | core::posix::backtrace

## Typedefs

typedef std::function< bool(const Frame &frame)> | core::posix::backtrace::FrameHandler
| FrameHandler is the functor invoked for every frame of a backtrace.

## Functions

void | core::posix::backtrace::visit_with_handler (const FrameHandler &handler)
| visit_with_handler iterates the backtrace of the calling program, invoking the handler for every frame.